package com.zkqy.execution.produce.dispersed.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zkqy.common.annotation.Excel;
import com.zkqy.common.core.domain.BaseEntity;

/**
 * 执行节点单对象 bpm_execute_node_form
 * 
 * @author zkqy
 * @date 2023-12-07
 */
public class BpmExecuteNodeForm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 任务流程编码 */
    @Excel(name = "任务流程编码")
    private String taskProcessKey;

    /** 节点编码 */
    @Excel(name = "节点编码")
    private String taskNodeKey;

    /** 脚本编码 */
    @Excel(name = "脚本编码")
    private String taskScriptKey;

    /** 表单编码 */
    @Excel(name = "表单编码")
    private String taskNodeFormKey;

    /** 表单类型 */
    @Excel(name = "表单类型")
    private String taskNodeFromType;

    /** 表单内容 */
    @Excel(name = "表单内容")
    private String taskNodeFromContent;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTaskProcessKey(String taskProcessKey) 
    {
        this.taskProcessKey = taskProcessKey;
    }

    public String getTaskProcessKey() 
    {
        return taskProcessKey;
    }
    public void setTaskNodeKey(String taskNodeKey) 
    {
        this.taskNodeKey = taskNodeKey;
    }

    public String getTaskNodeKey() 
    {
        return taskNodeKey;
    }
    public void setTaskScriptKey(String taskScriptKey) 
    {
        this.taskScriptKey = taskScriptKey;
    }

    public String getTaskScriptKey() 
    {
        return taskScriptKey;
    }
    public void setTaskNodeFormKey(String taskNodeFormKey) 
    {
        this.taskNodeFormKey = taskNodeFormKey;
    }

    public String getTaskNodeFormKey() 
    {
        return taskNodeFormKey;
    }
    public void setTaskNodeFromType(String taskNodeFromType) 
    {
        this.taskNodeFromType = taskNodeFromType;
    }

    public String getTaskNodeFromType() 
    {
        return taskNodeFromType;
    }
    public void setTaskNodeFromContent(String taskNodeFromContent) 
    {
        this.taskNodeFromContent = taskNodeFromContent;
    }

    public String getTaskNodeFromContent() 
    {
        return taskNodeFromContent;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskProcessKey", getTaskProcessKey())
            .append("taskNodeKey", getTaskNodeKey())
            .append("taskScriptKey", getTaskScriptKey())
            .append("taskNodeFormKey", getTaskNodeFormKey())
            .append("taskNodeFromType", getTaskNodeFromType())
            .append("taskNodeFromContent", getTaskNodeFromContent())
            .toString();
    }
}
